GFS_STAT(3)

NAME
gfs_stat - get file status

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_stat(const char * gfarm_url, struct gfs_stat * status);

DESCRIPTION

gfs_stat() return information about the specified file pointed to by gfarm_url, and fills in the buffer pointed to by status. Since status includes a pointer to dynamically allocated memory space, it is necessary to free the memory space by gfs_stat_free(3).

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_AUTHENTICATION
    User authentication failed when connecting to gfmd(8).

GFARM_ERR_PERMISSION_DENIED
    gfarm_url points outside your accessible address space.

GFARM_ERR_NO_SUCH_OBJECT
    gfarm_url does not exist.

GFARM_ERR_NOT_A_DIRECTORY
    A component of the path prefix is not a directory.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_stat_free(3)